from django.contrib.auth.decorators import login_required
from django.template.response import TemplateResponse

from aircox.models import Program


# Note: this is always better to use class-based view, even for a simple templated
# one. There is aircox.views.View class that provides the current station and other utils.


@login_required
def profile(request):
    groups = request.user.groups.all()
    programs = Program.objects.filter(editors__in=groups)
    context = {"user": request.user, "programs": programs}
    return TemplateResponse(request, "accounts/profile.html", context)
